SSS_SSH_KNOWNHOSTSPR(1)

NAME
sss_ssh_knownhostsproxy - holt OpenSSH-Rechnerschlüssel

SYNOPSIS

sss_ssh_knownhostsproxy [Optionen] RECHNER [PROXY_BEFEHL]

BESCHREIBUNG

sss_ssh_knownhostsproxy acquires SSH host public keys for host HOST, stores them in a custom OpenSSH known_hosts file (see the “SSH_KNOWN_HOSTS FILE FORMAT” section of sshd(8) for more information) /var/lib/sss/pubconf/known_hosts and establishes the connection to the host.

Falls ein PROXY_BEFEHL angegeben wurde, wird er zum Erstellen der Verbindung mit dem Rechner benutzt, anstatt ein Socket zu öffnen.

ssh(1) kann durch Verwendung der folgenden Richtlinien für die Konfiguration von ssh(1) so eingerichtet werden, dass es sss_ssh_knownhostsproxy zur Authentifizierung des Rechnerschlüssels benutzt:

    ProxyCommand /usr/bin/sss_ssh_knownhostsproxy -p %p %h
    GlobalKnownHostsFile /var/lib/sss/pubconf/known_hosts

OPTIONEN

-p,--port PORT
    benutzt Port PORT zur Verbindung mit dem Rechner. Standardmäßig wird Port 22 verwendet.

-d,--domain DOMAIN
    sucht in der SSSD-Domain nach DOMAIN öffentlichen Schlüsseln für den Rechner.

-k,--pubkey
    Print the host ssh public keys for host HOST.

-?,--help
    zeigt den Hilfetext und beendet sich.

EXIT-STATUS

Im Erfolgsfall ist der Rückgabewert 0, andernfalls wird 1 zurückgegeben.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/